import React, {useState} from 'react';

const PaymentProcessor = (props) => {
    const [count, setCount] = useState(1);
    const handleClick = (e) => {
        setCount(count+1);
    }

    return 
    <div className="payment-processor">
        <span>Count is {count}</span>
        {props.paymentMethod && <span>{props.paymentMethod}</span>}
        <button onClick={handleClick}/>
    </div>
}

export {PaymentProcessor}